import { DocumentNode, GraphQLSchema } from "graphql";
import { EventBus, Publish } from "graphql-eventbus-core";
export declare type WebhookEventBusConfig = {
    schema: GraphQLSchema;
    queries: DocumentNode;
    cb: (p: {
        key: string;
        data: {};
    }) => Promise<unknown>;
};
export declare class WebhookEventBus implements EventBus {
    config: WebhookEventBusConfig;
    private eventEmitter;
    private bus;
    constructor(config: WebhookEventBusConfig);
    init: () => Promise<void>;
    publish: Publish;
    closeConsumer: () => Promise<void>;
    closePublisher: () => Promise<void>;
}
